sc::UncappedTorusHoleShape(3)

NAME
sc::UncappedTorusHoleShape -

SYNOPSIS

Inherits sc::Shape.

Inherited by sc::NonreentrantUncappedTorusHoleShape, and sc::ReentrantUncappedTorusHoleShape.

  Public Member Functions
const SphereShape & sphere (int i) const
const SCVector3 A () const
const SCVector3 B () const
double radius () const
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
int gradient_implemented () const

  Static Public Member Functions
static UncappedTorusHoleShape * newUncappedTorusHoleShape (double r, const SphereShape &, const SphereShape &)

  Protected Member Functions
void in_plane_sphere (const SCVector3 &point, SCVector3 &origin) const
UncappedTorusHoleShape (double r, const SphereShape &, const SphereShape &)

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.